summaryrefslogtreecommitdiffstats
path: root/libraries/libopensync
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-13 00:31:32 +0200
committer Robby Workman2010-05-13 00:31:32 +0200
commit1cf67f9f3db9e7247f08bdf6359c341449089f38 (patch)
tree4e6a903316c9cc8577c86faa1e0f40591bb38dde /libraries/libopensync
parent00e4da59903b248fd18e397aa45781df1a9ae339 (diff)
downloadslackbuilds-1cf67f9f3db9e7247f08bdf6359c341449089f38.tar.gz
libraries/libopensync: Updated for version 0.22
Diffstat (limited to 'libraries/libopensync')
-rw-r--r--libraries/libopensync/README2
-rw-r--r--libraries/libopensync/libopensync-0.22-fixup_python_libdir.diff30
-rw-r--r--libraries/libopensync/libopensync.SlackBuild25
-rw-r--r--libraries/libopensync/libopensync.info2
4 files changed, 51 insertions, 8 deletions
diff --git a/libraries/libopensync/README b/libraries/libopensync/README
index 7417fde885..3b264a82db 100644
--- a/libraries/libopensync/README
+++ b/libraries/libopensync/README
@@ -2,5 +2,3 @@ OpenSync is a plugin-based application that basically provides a framework
for syncing groups which can have two or more members. These members could
be just about any kind of database, where a plugin is available. OpenSync
is not only limited to sync PIM data.
-
-You will need swig if you want to build the python-bindings.
diff --git a/libraries/libopensync/libopensync-0.22-fixup_python_libdir.diff b/libraries/libopensync/libopensync-0.22-fixup_python_libdir.diff
new file mode 100644
index 0000000000..5bc54bdc24
--- /dev/null
+++ b/libraries/libopensync/libopensync-0.22-fixup_python_libdir.diff
@@ -0,0 +1,30 @@
+diff -Nur libopensync-0.22.orig/configure libopensync-0.22/configure
+--- libopensync-0.22.orig/configure 2007-03-27 07:21:55.000000000 -0500
++++ libopensync-0.22/configure 2009-08-15 01:17:55.905706460 -0500
+@@ -21813,7 +21813,7 @@
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+ am_cv_python_pythondir=`$PYTHON -c "from distutils import sysconfig; print sysconfig.get_python_lib(1,0,prefix='$PYTHON_PREFIX')" 2>/dev/null ||
+- echo "$PYTHON_PREFIX/lib/python$PYTHON_VERSION/site-packages"`
++ echo "$PYTHON_PREFIX/@baselibdir@/python$PYTHON_VERSION/site-packages"`
+ fi
+ { echo "$as_me:$LINENO: result: $am_cv_python_pythondir" >&5
+ echo "${ECHO_T}$am_cv_python_pythondir" >&6; }
+@@ -21830,7 +21830,7 @@
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+ am_cv_python_pyexecdir=`$PYTHON -c "from distutils import sysconfig; print sysconfig.get_python_lib(1,0,prefix='$PYTHON_EXEC_PREFIX')" 2>/dev/null ||
+- echo "${PYTHON_EXEC_PREFIX}/lib/python${PYTHON_VERSION}/site-packages"`
++ echo "${PYTHON_EXEC_PREFIX}/@baselibdir@/python${PYTHON_VERSION}/site-packages"`
+ fi
+ { echo "$as_me:$LINENO: result: $am_cv_python_pyexecdir" >&5
+ echo "${ECHO_T}$am_cv_python_pyexecdir" >&6; }
+@@ -22040,7 +22040,7 @@
+ { echo "$as_me:$LINENO: checking for Python library path" >&5
+ echo $ECHO_N "checking for Python library path... $ECHO_C" >&6; }
+ python_path=`echo $PYTHON | sed "s,/bin.*$,,"`
+- for i in "$python_path/lib/python$PYTHON_VERSION/config/" "$python_path/lib/python$PYTHON_VERSION/" "$python_path/lib/python/config/" "$python_path/lib/python/" "$python_path/" ; do
++ for i in "$python_path/@baselibdir@/python$PYTHON_VERSION/config/" "$python_path/@baselibdir@/python$PYTHON_VERSION/" "$python_path/@baselibdir@/python/config/" "$python_path/@baselibdir@/python/" "$python_path/" ; do
+ python_path=`find $i -type f -name libpython$PYTHON_VERSION.* -print | sed "1q"`
+ if test -n "$python_path" ; then
+ break
diff --git a/libraries/libopensync/libopensync.SlackBuild b/libraries/libopensync/libopensync.SlackBuild
index 1bedafbe0f..ea8e5c9080 100644
--- a/libraries/libopensync/libopensync.SlackBuild
+++ b/libraries/libopensync/libopensync.SlackBuild
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -61,30 +64,40 @@ chmod -R u+w,go+r-w,a-s .
# -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
# -DCMAKE_INSTALL_PREFIX=/usr
+if [ "$ARCH" = "x86_64" ]; then
+ sed "s%@baselibdir@%lib${LIBDIRSUFFIX}%g" \
+ $CWD/libopensync-0.22-fixup_python_libdir.diff \
+ | patch -p1
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--disable-static \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libopensync/libopensync.info b/libraries/libopensync/libopensync.info
index 23e0e19511..6b9f4667bd 100644
--- a/libraries/libopensync/libopensync.info
+++ b/libraries/libopensync/libopensync.info
@@ -3,6 +3,8 @@ VERSION="0.22"
HOMEPAGE="http://www.opensync.org/"
DOWNLOAD="http://www.opensync.org/download/releases/0.22/libopensync-0.22.tar.bz2"
MD5SUM="f563ce2543312937a9afb4f8445ef932"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="ppr:kut"
EMAIL="HMWiesinger@gmx.at"
APPROVED="rworkman"